AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Create bulk tokenized charges

Tokenize multiple cards at once. Please read our overview on bulk tokenizations before you continue.

Last updated 13 September 2026

post

https://api.flutterwave.com/v3/bulk-tokenized-charges

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

retry_strategy object required
This object defines retries for failed tokenization attempts.

FILL IN ALL REQUIRED FIELDS

retry_interval int 32 required
This is the number of mins it should take for the retry to happen

retry_amount_variable int 32 required
This is the amount that would be retried after the specified number of attempts in percentage

retry_attempt_variable int 32 required
This is the number of times the retry should happen

last_retry_attempt int 32
This is the maximum number of retries. If not set 10 attempts will be made.

bulk_data object required
The array of objects containing your charge data. Each object in the array hold the request data for each card.

FILL IN ALL REQUIRED FIELDS

currency string required
his is the specified currency to charge the card in, It can be NGN, GHS, KES, UGX, TZS, USD etc.

token string required
This is the card token returned from the transaction verification endpoint as data.card.token

country string required
This is the ISO country code of the merchant e.g. NG, GH, KE etc.

amount int 32 required
This is the amount to be charged

tx_ref string required
This is the unique reference, unique to the particular transaction being carried out. It is generated by the merchant for every transaction

email string required
This is the email address of the customer

first_name string
This is the first name of the card holder or the customer

last_name string
This is the last name of the card holder or the customer

ip string
IP - Internet Protocol. This represents the IP address of where the transaction is being carried out.

title string
This is the title of the bulk charge.

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

id integer

created_at string

approver string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys